function [ x ] = calculateInverse( func, xValues, y )
% function func is represented by a table of yValues and xValues
% calculateInverse returns the x value where y = f(x) i.e f^-1(y)
%
% func: row of all y values from the interpolation function
% xValues: the x values used in the interpolation to create the
% interpolation function
% y: the y value to find the corresponding x value of

length = size(xValues,2);

x = -1;

for i=1:length
    if func(i) > y
        x = xValues(1,i);
    end
end

if x==-1
    x = xValues(1,end);
end

end

