function [ CVaR ] = calculatePortfolioCVar(portfolioDistribution, percentile)
% Returns the "percentile" CVaR. CVaR is given as positive value for a loss  
%
% portfolioDistribution: a matrix on the form [Date portfolioReturn]
% describing the portfolio distribution at date Date.
% percentile: the probability confidence level

var = calculatePortfolioVar(portfolioDistribution, percentile);

rets = 0;
count = 0;

for i=1:size(portfolioDistribution,1)
    if portfolioDistribution(i,2) < var
        rets = rets + portfolioDistribution(i,2);
        count = count + 1;
    end
end

if count == 0
    CVaR = 0;
else
    CVaR = rets / count;
end

end

