function [ downDev ] = calculatePortfolioDownsideDeviation(portfolioDistribution,MAR)
% Returns the downside deviation of the portfolio.
%
% portfolioDistribution: a matrix on the form [Date portfolioReturn]
% describing the portfolio distribution at date Date.

portfolioMean = mean(portfolioDistribution(:,2));
totalDeviation = 0;
count = 100000;

for i=1:size(portfolioDistribution,1)
    if portfolioDistribution(i,2) < portfolioMean
        deviation = (portfolioDistribution(i,2) - portfolioMean)^2;
        totalDeviation = totalDeviation + deviation;
        %count = count + 1;
    end
end

if count == 0
    downDev = 0;
else
    downDev = totalDeviation / (count - 1);
end

end
