function [ portfolioReturns ] = calculatePortfolioRandomReturnFromQuantiles( assetReturns, assetWeights )
% Returns the corresponding portfolio randomReturns matrix given the weights
% of the individual stocks. [Date portfolio]
%
% assetReturns: matrix of randomly drawn asset returns [Date Asset1 ... AssetN]
% assetWeights: vector of portolio weights for each individual asset

portfolioReturns = [assetReturns(:,1) assetReturns(:,2:end) * assetWeights];

end