function [ VaR ] = calculatePortfolioVar(portfolioDistribution, percentile)
% Returns the "percentile" VaR. No sign replacement is done here, so a loss
% will be given as a negative value.
%
% portfolioDistribution: a matrix on the form [Date portfolioReturn]
% describing the portfolio distribution at date Date.
% percentile: the probability confidence level

VaR = prctile(portfolioDistribution(:,2),100-percentile);

end

