function [ x ] = getNumberOfPCColumns( eigenVector, expVarMargin )
% Returns the number of needed PCs to cover the margin
%
% eivenVector: diag matrix of eigenvalues from lowest to highest
% expVarMargin: minimum requirement of explained variance by PCA

total = sum(eigenVector(:));
varExp = 0;
colsNeeded = 0;
for i=size(eigenVector,2):-1:1
    varExp = varExp + eigenVector(i,i) / total;
    if varExp >= expVarMargin
        colsNeeded = size(eigenVector,2) + 1 - i;
        break;
    end
end

x = colsNeeded;

if expVarMargin >= 1.0
    x = size(eigenVector,2);
end

end

