function [ portfolioWeights, functionValue ] = getPortfolioRiskParity( assetReturns )
% Returns the minVar portfolio given a matrix of asset returns. 
% The portfolio will be returned as a column vector with weights
%
% assetReturns: a matrix of simulated returns on the form [Date Stock1 ...
% StockN]

% fmincon inputs
global noAssets;
global elapsedTime;

tic
n = size(assetReturns(1,2:end),2);
naiveWeights = zeros(n,1);
A = [];
b = [];
Aeq = ones(1,noAssets);
beq = 1.0;
lb = zeros(noAssets,1);
ub = ones(noAssets,1);
options = optimset('Display','off');
[portfolioWeights, functionValue] = fmincon(@optimizerFunction,naiveWeights,A,b,Aeq,beq,lb,ub,[],options);
elapsedTime = toc;

end