function [ returnMatrix, stocksIndices ] = getSectorReturnMatrix( fullReturnMatrix, stockToSector, sectorIndex )
% Returns a filtered return matrix based on the specified sector
%
% fullReturnMatrix: large return matrix
% stockToSector: matrix on the form [StockIndex SectorIndex]
% sectorIndex: self explanatory

s = stockToSector(stockToSector(:,2)==sectorIndex,:);

stocksIndices = s(:,1) + 1;

returnMatrix = fullReturnMatrix(:,[1 transpose(stocksIndices)]);

stocksIndices = stocksIndices - 1;

end

