import ioModule as io

def getHeaders():
	return 'Index,Ticker,JanuaryReturn,Lower60,Upper60,In60Interval,Lower70,Upper70,In70Interval,Lower80,Upper80,In80Interval,Lower90,Upper90,In90Interval,Lower95,Upper95,In95Interval'

def addTickersToDataset(dataset, tickers):
	newDataset = [getHeaders()]
	for index,line in enumerate(dataset):
		words = line.split(',')
		newLine = words[0] + ',' + tickers[index] + ',' + ','.join(words[1:])
		newDataset.append(newLine)
	return newDataset

def getTickersFromDataset(dataset):
	tickers = [line.split(";")[1] for line in dataset]
	tickers = tickers[::-1]
	tickers.pop()
	return tickers[::-1]

def main():
	infoSet = io.readFile('SP80InfoIndustry.csv')
	tickers = getTickersFromDataset(infoSet)
	analysisSet = io.readFile('SP80JanuaryPerformanceAnalysis.csv')
	newDataset = addTickersToDataset(analysisSet, tickers)
	io.writeToFile(newDataset, 'SP80JanuaryPerformanceAnalysis2.csv')

if __name__ == '__main__':
	main()