import ioModule as io

def getSectorTickersFromDataset(dataset, sector):
	filteredLines = []
	for line in dataset:
		if line[-4:-2] == sector:
			words = line.split(";")
			filteredLines.append(words[1])
	return filteredLines

def getFilePath():
	return "../Data/S&P500SectorData/HistoricalData/A-"

def createPriceMatrix(tickers,filePath):
	dates = ['Date']
	[dates.append(date) for date in getDates(tickers, filePath, 0)]
	datesAndStocks = [dates]
	for ticker in tickers:
		timeSeries = [ticker]
		[timeSeries.append(i.split(",")[1]) for i in io.readFile("JanD-"+ticker+".csv")]
		datesAndStocks.append(timeSeries)
	priceMatrix = []
	#unvalidIndices = [i for i in xrange(len(datesAndStocks)) if len(datesAndStocks[i]) != 253]
	for ind,ts in enumerate(datesAndStocks):
		#if ind not in unvalidIndices:
		if True:
			priceMatrix.append(ts)
	return priceMatrix

def createReturnMatrix(priceMatrix):
	transposePriceMatrix = []
	for i in xrange(len(priceMatrix[0])):
		transposePriceMatrix.append([priceMatrix[j][i] for j in xrange(len(priceMatrix))])
	for rowindex in xrange(1,len(transposePriceMatrix)):
		for colindex in xrange(1,len(transposePriceMatrix[rowindex])):
			transposePriceMatrix[rowindex][colindex] = float(transposePriceMatrix[rowindex][colindex])
	returnMatrix = [transposePriceMatrix[0]]
	for lineIndex in xrange(1,len(transposePriceMatrix)-1):
		newLine = [transposePriceMatrix[lineIndex][0]]
		for lineColIndex in xrange(1,len(transposePriceMatrix[lineIndex])):
			newLine.append(transposePriceMatrix[lineIndex][lineColIndex] / transposePriceMatrix [lineIndex+1][lineColIndex] - 1)
		returnMatrix.append(newLine)
	for rowindex in xrange(1,len(returnMatrix)):
		for colindex in xrange(1,len(returnMatrix[rowindex])):
			returnMatrix[rowindex][colindex] = str(returnMatrix[rowindex][colindex])
	return returnMatrix

def getDates(tickers, filePath, counter):
	return [i.split(",")[0] for i in io.readFile("JanD-AAPL.csv")]

def getIndustriesFromSector(sector, industries):
	return [industry for industry in industries if industry[:2]==sector]

def	main():
	#industries = ['1010','1510','2010', '2020', '2030', '2510', '2520', '2530', '2540', '2550', '3010', '3020', '3030','3510', '3520', '4010', '4020', '4030', '4040', '4510', '4520','4530','5010','5510']
	sectors = [str(10+i*5) for i in xrange(10)]
	dataset = io.readFile('SP80InfoIndustry.csv')
	'''for sector in sectors:
		filePath = getFilePath(sector)
		tickers = getSectorTickersFromDataset(dataset, sector)
		pm = createPriceMatrix(tickers, filePath)
		rm = createReturnMatrix(pm)
		retdataset = [",".join(line) for line in rm] # bind returnMatrix
		filename = "returnMatrixSP80Sector"+sector+".csv"
		io.writeToFile(retdataset, filename)'''
	tickers = [line.split(";")[1] for line in dataset[1:]]
	pm = createPriceMatrix(tickers, getFilePath())
	rm = createReturnMatrix(pm)
	retDataset = [",".join(line) for line in rm]
	filename = "returnMatrixSP80JanuaryDaily.csv"
	io.writeToFile(retDataset, filename)
	
	
	
if __name__ == '__main__':
	main()
