from urllib2 import urlopen, URLError
import sys
import ioModule as io

def getTickers():
	return io.readFile('SP80InfoIndustry.csv')

def getURLS(tickers): # year is string
	stocks = {} # ticker -> [url, stock data]
	for ticker in tickers:
		stocks[ticker] = ["http://ichart.finance.yahoo.com/table.csv?s=%s&a=%s&b=%s&c=%s&d=%s&e=%s&f=%s&g=m&ignore=.csv"%(ticker,"00","1","1995","11","31","2015")] # TICKER, MSTART, DSTART, YSTART, MSTOP, DSTOP, YSTOP
	return stocks

def getData(stocks):
	for ticker in stocks:
		try:
			page = urlopen(stocks[ticker][0])
			webPage = page.read()
			stocks[ticker].append(webPage)
		except URLError:
			print("Error on stock: %s"%(ticker))
			stocks[ticker].append("Date,Open,High,Low,Close,Volume,Adj Close\n")
	return stocks

def createCSV(ticker, data):
	f = open(ticker+".csv","w")
	for line in data:
		f.write(line+"\n")
	f.close()

def createCSVs(stocks):
	for ticker in stocks:
		createCSV(ticker, stocks[ticker])
		
def formatStockData(stocks):
	formattedStocks = {}
	for ticker in stocks:
		data = stocks[ticker][1:][0].split("\n")
		formattedData = [i.strip().split(",") for i in data]
		formattedData.pop()
		data = [",".join([x[0],x[-1]]) for x in formattedData]
		formattedStocks[ticker] = data
	return formattedStocks

def main():
	# input check
	tickers = getTickers()
	tickers = tickers
	stocks = getURLS(tickers)
	stocks = getData(stocks)
	stocks = formatStockData(stocks)
	createCSVs(stocks)
	print("Done")

if __name__ == '__main__':
	main()
