import ioModule as io
	
def	getSectorFromTicker(dataset, ticker):
	for line in dataset:
		words = line.split(";")
		if words[1] == ticker:
			return words[-2]

def	transposeMatrix(matrix):
	transposeMatrix = []
	for i in xrange(len(matrix[0])):
		transposeMatrix.append([matrix[j][i] for j in xrange(len(matrix))])
	return transposeMatrix

def extractTimeSeriesFromDrawnReturns(infoDataset, drawnReturns, ticker):
	index = getIndexFromDrawnReturns(drawnReturns, ticker)
	timeSeries = []
	for line in drawnReturns:
		splittedLine = line.split(',')
		timeSeries.append(splittedLine[index])
	return timeSeries

def getIndexFromDrawnReturns(drawnReturns, ticker):
	stocks = drawnReturns[0].split(",")[1:]
	for i in xrange(len(stocks)):
		if stocks[i] == ticker:
			return i+1
	return "0"

def getTimeSeries(infoDataset, ticker):
	filePath = "../Data/S&P80Data/DrawnReturns/drawnReturnsSP80Sector"+getSectorFromTicker(infoDataset, ticker)+"varExp95CDP.csv"
	timeSeries = extractTimeSeriesFromDrawnReturns(infoDataset, io.readFile(filePath), ticker)
	return timeSeries

def	main():
	infoDataset = io.readFile('SP80InfoIndustry.csv')
	tickers = [line.split(";")[1] for line in infoDataset][::-1]
	tickers.pop()
	tickers = tickers[::-1]
	dateTimeSeries = [["Date"] + ["7.2872e+05"]*100000]
	for ticker in tickers:
		print("Stock: "+ticker)
		dateTimeSeries.append(getTimeSeries(infoDataset, ticker))
	dateTimeSeries = transposeMatrix(dateTimeSeries)
	output = [",".join(line) for line in dateTimeSeries]
	io.writeToFile(output, 'drawnReturnsSP80varExp95CDP.csv')

if __name__ == '__main__':
	main()