import ioModule as io

def getPath():
        return "../Data/S&P80Data/QuantileRegression/"

def fileFormatter(f):
        return [i for i in f if i]

def fileSplitterOnStock(f):
        stockFiles = []
        counter = 0
        while counter < len(f):
                if counter == 0:
                        stockFile = []
                if f[counter][:3] == "[1]" and counter != 0: # beginning of new stock file
                        
                        stockFiles.append(stockFile) # add previous
                        stockFile = []
                        stockFile.append(f[counter])
                else:
                        stockFile.append(f[counter])
                counter += 1
        stockFiles.append(stockFile)
        return stockFiles

def fileSplitterOnTau(f):
        tauFiles = []
        counter = 1
        while counter < len(f):
                if counter == 1:
                        tauFile = []
                if f[counter][:3] == "Cal" and counter != 0: # beginning of new stock file
                        tauFiles.append(tauFile) # add previous
                        tauFile = []
                        tauFile.append(f[counter])
                else:
                        tauFile.append(f[counter])
                counter += 1
        tauFiles.append(tauFile)
        return tauFiles

def getStocksFromSector(data, sector):
        return [stock.split(";")[1] for stock in data if stock.split(";")[-1][:2] == sector]

def createTauTable(tauFile, stockTicker):
        header = stockTicker+" Tau: "+tauFile[1].split()[-1]
        line3 = tauFile[3].split()
        headers = line3[0] + "," + "value" + "," + line3[1] + " " + line3[2] + "," + line3[3] + " " + line3[4]
        tauTable = []
        tauTable.append(header)
        tauTable.append(headers)
        tauTable.append("Alpha,"+",".join(tauFile[4].split()[-3:]))
        for i in xrange(5,len(tauFile)):
                tauTable.append("Beta"+str(i-4)+","+",".join(tauFile[i].split()[-3:]))
        return tauTable

def main():
        sectors = [str(i) for i in xrange(10,60,5)]
        fSector = io.readFile('SP80InfoIndustry.csv')   
        for sector in sectors:
                filename = "QRResultsSector"+sector+".txt"
                f = io.readFile(getPath()+filename)
                stocksInSector = getStocksFromSector(fSector, sector)
                #print(stocksInSector)
                f = fileFormatter(f)
                stockTaus = []
                for i in fileSplitterOnStock(f):
                        stockTaus.append(fileSplitterOnTau(i))
                for stock in stockTaus:
                        stock.pop(0)
                stockTauTables = {}
                for i,stock in enumerate(stockTaus):
                        tautables = []
                        for tau in stock:
                                tautables.append(createTauTable(tau,stocksInSector[i]))
                        stockTauTables[stocksInSector[i]] = tautables
                allLines = []
                for stock in stocksInSector:
                        for tautable in stockTauTables[stock]:
                                for line in tautable:
                                        allLines.append(line)
                io.writeToFile(allLines, getPath()+"QRTableSector"+sector+".csv")
	
	
if __name__ == '__main__':
	main()
