def getDataset(filename):
	with open(filename,"r") as f:
		lines = f.readlines()
		f.close()
	return [line.strip() for line in lines]

def filterDataset(dataset, sector):
	filteredLines = []
	for line in dataset:
		if line[-2:] == sector:
			words = line.split(",")
			# [Ticker, Name, SectorCode]
			newLine = ",".join([words[1], words[2], words[5]])
			filteredLines.append(newLine)
	return filteredLines

def	writeDatasetToFile(dataset, sector):
	with open('stockDataSector' + sector + '.csv',"w") as f:
		for line in dataset:
			f.write(line + "\n")
		f.close()
	
def	main():
	sectors = [str(10 + i*5) for i in xrange(10)]
	dataset = getDataset('stockInfoDataset500Sector.csv')
	for sector in sectors:
		fdataset = filterDataset(dataset, sector)
		writeDatasetToFile(fdataset, sector)
	
	
if __name__ == '__main__':
	main()
