def getDataset(name):
	with open(name,"r") as f:
		lines = f.readlines()
		f.close()
	return [x.strip() for x in lines]
	
def	listDataset(dataset):
	return dataset[0].split(',')
	
def formatTickerNames(dataset):
	tickerToName = {}
	splitted = [line.split() for line in dataset]
	for line in splitted:
		tickerToName[line[0]] = " ".join([word.strip() for word in line[1:]])
	return tickerToName

def matchTickersToDataset(dataset, tickerToName):
	tickerInfo = {}
	for index,ticker in enumerate(dataset):
		tickerInfo[index+1] = [ticker,tickerToName[ticker]]
	return tickerInfo

def	writeDatasetToFile(dataset, withIndex):
	with open("tickerInfoDataset2.csv","w") as f:
		for index in range(1,len(dataset)+1):
			if withIndex:
				f.write(str(index) + "," + dataset[index][0] + "," + dataset[index][1] + "\n")
			else:
				f.write(dataset[index][0] + ", " + dataset[index][1] + "\n")
		f.close()

def	main():
	tickersLine = getDataset("tickersDataset.txt")
	tickersAndNames = getDataset("allTickersInfo.txt")
	tickerList = listDataset(tickersLine)
	tickersAndNames = formatTickerNames(tickersAndNames)
	tickersInfo = matchTickersToDataset(tickerList, tickersAndNames)
	writeDatasetToFile(tickersInfo,False)
	print("Done")

if __name__ == '__main__':
	main()